org.eclipse.lyo.oslc4j.core.model

## Class Dialog

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.oslc4j.core.model.Dialog

- All Implemented Interfaces:
    IExtendedResource, IResource

      @OslcNamespace(value="http://open-services.net/ns/core#")
      @OslcResourceShape(title="OSLC Dialog Resource Shape",
                         describes="http://open-services.net/ns/core#Dialog")
      public class Dialog
      extends AbstractResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dialog()`
    `Dialog(String title, URI dialog)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResourceType(URI resourceType)`
    `void` | `addUsage(URI usage)`
    `URI` | `getDialog()`
    `String` | `getHintHeight()`
    `String` | `getHintWidth()`
    `String` | `getLabel()`
    `URI[]` | `getResourceTypes()`
    `String` | `getTitle()`
    `URI[]` | `getUsages()`
    `void` | `setDialog(URI dialog)`
    `void` | `setHintHeight(String hintHeight)`
    `void` | `setHintWidth(String hintWidth)`
    `void` | `setLabel(String label)`
    `void` | `setResourceTypes(URI[] resourceTypes)`
    `void` | `setTitle(String title)`
    `void` | `setUsages(URI[] usages)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dialog

          public Dialog()

    - #### Dialog

          public Dialog(String title,
                URI dialog)

  - ### Method Detail

    - #### addResourceType

          public void addResourceType(URI resourceType)

    - #### addUsage

          public void addUsage(URI usage)

    - #### getDialog

          @OslcDescription(value="The URI of the dialog")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#dialog")
          @OslcReadOnly
          @OslcTitle(value="Dialog")
          public URI getDialog()

    - #### getHintHeight

          @OslcDescription(value="Values MUST be expressed in relative length units as defined in the W3C Cascading Style Sheets Specification (CSS 2.1) Em and ex units are interpreted relative to the default system font (at 100% size)")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#hintHeight")
          @OslcReadOnly
          @OslcTitle(value="Hint Height")
          public String getHintHeight()

    - #### getHintWidth

          @OslcDescription(value="Values MUST be expressed in relative length units as defined in the W3C Cascading Style Sheets Specification (CSS 2.1) Em and ex units are interpreted relative to the default system font (at 100% size)")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#hintWidth")
          @OslcReadOnly
          @OslcTitle(value="Hint Width")
          public String getHintWidth()

    - #### getLabel

          @OslcDescription(value="Very short label for use in menu items")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#label")
          @OslcReadOnly
          @OslcTitle(value="Label")
          public String getLabel()

    - #### getResourceTypes

          @OslcDescription(value="The expected resource type URI for the resources that will be returned when using this dialog. These would be the URIs found in the result resource\'s rdf:type property")
          @OslcName(value="resourceType")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#resourceType")
          @OslcReadOnly
          @OslcTitle(value="Resource Types")
          public URI[] getResourceTypes()

    - #### getTitle

          @OslcDescription(value="Title string that could be used for display")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/title")
          @OslcReadOnly
          @OslcTitle(value="Title")
          @OslcValueType(value=XMLLiteral)
          public String getTitle()

    - #### getUsages

          @OslcDescription(value="An identifier URI for the domain specified usage of this dialog. If a service provides multiple selection or creation dialogs, it may designate the primary or default one that should be used with a property value of http://open-services/ns/core#default")
          @OslcName(value="usage")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#usage")
          @OslcReadOnly
          @OslcTitle(value="Usages")
          public URI[] getUsages()

    - #### setDialog

          public void setDialog(URI dialog)

    - #### setHintHeight

          public void setHintHeight(String hintHeight)

    - #### setHintWidth

          public void setHintWidth(String hintWidth)

    - #### setLabel

          public void setLabel(String label)

    - #### setResourceTypes

          public void setResourceTypes(URI[] resourceTypes)

    - #### setTitle

          public void setTitle(String title)

    - #### setUsages

          public void setUsages(URI[] usages)

Copyright © 2016. All rights reserved.